import getTypescriptKeyType from './types-utils.js';
export default function prepareEntity() { }
export function preparePostEntityClientDerivedProperties(entity) {
    if (entity.primaryKey) {
        entity.tsKeyType = getTypescriptKeyType(entity.primaryKey.type);
    }
}
